READ98721(1)

NAME
read98721 - read an image from the HP-98721 frame buffer

SYNOPSIS
read98721 [ -b red green blue ] [ -d display ] [ -m ] [ -o outfile ] [ -p xpos ypos ] [ -s xsize ysize ] [ -x driver ] [ -O ] [ comments ]

DESCRIPTION
This program reads an image from a HP-98721 frame buffer and writes it to an RLE(5) file. The file will contain three channels of 8 bits each for red, green, and blue respectively. If an output file name is not specified the image will be written to the standard output. The default display device and device driver are respectively /dev/crt98721 and hp98721.

OPTIONS

-b red green blue
    Specifies red, green and blue pixel values for the background.

-d display
    Gives the name of the display device from which the image is to be read.

-m  Saves the device color maps. By default, no color maps are saved.

-o outfile
    Writes the image to outfile.

-p xpos ypos
    Specifies the lower left corner of the portion of the screen to be saved. The origin is the lower left corner of the display, which is taken as the default starting position if this option is not specified.

-s xsize ysize
    Specifies the size of the image to be read.

-x driver
    Gives the name of the device driver to be used to communicate with the display device.

-O  Specifies that the image has no background.

The remaining arguments are taken to be comment strings of the form name=value , and are inserted in the header of the RLE(5) output file.

SEE ALSO
getren(1), urt(1), RLE(5).

AUTHOR
Filippo Tampieri, Program of Computer Graphics, Cornell University.